#include <cmath>

#define NOFOOTER
#include "testlib.h"

int main( int argc, char **argv )
{
  registerTestlibCmd(argc, argv);
  long double resValue = ouf.readDouble();
  long double ansValue = ans.readDouble();
  if (fabs(ansValue - resValue) > 2.1e-5)
  {
    char result[200];
    // I'd like to use long double instead of double when output, but cheker could be used under
    // windows, not under operation system
    sprintf(result, "answer doesn't match: %.15lf instead of %.15lf", (double)resValue, (double)ansValue);
    quit(_wa, result);
  }
  quit(_ok, "");
  return 0;
}
